% Perform Simulation

% Initialize configset for analysis run.
cs = getconfigset(m1, 'default');

% Run simulation.
data = sbiosimulate(m1, cs, [], []);

% Show graph
set(axes, 'FontSize', 15)
plot(data.time,data.Data, 'LineWidth',2); 
xlabel('Time [h]');   ylabel('Value [units]')
legend('species_1','species_2','species_3','AUC3');
print('-r600', '-dtiff', 'PKmodel1')


