function locparsMod
x = 1:5;
fo(@fp,x)       % handle @fp as argument
fo(@fpnew,x)    % pass a handle of another function
fo(@log, x)     % a built-in function can also be applied.
end

function y = fo(fany,x)
eps = rand(1,length(x))*2 - 1;
y = fany(x) + eps;
end

function yhat = fp(x)
a = 1; b = 1; z = exp(x);
yhat = a*x + b + z;
end

function yhat = fpnew(x)
a = 1; b = 1; c = 1; z = log(x);
yhat = a*x.^2 + b*x + c + z;
end