function matexp
 
F = 1; CL = 2.16; V = 12.6; ka = 0.1; t = 0:0.5:60; c0 = 0; a0 = 100;
A = [ka 0; -ka*F/V CL/V];
set(axes,'FontSize', 14); c = t*0;
for ti = t;  yi = expm(-A*ti)*[a0;c0];  c(t==ti) = yi(2);  end
plot(t,c,'ok'); title('Solution with matrix exponential');
xlabel('Time [h]'); ylabel('Concentration [ \mug/L] ')
print('-r1000', '-dtiff', 'matexp')

end        
 


