% yang.m generates Fig. 5.41 

close all; clear; clc;
t1 = [1 1.5 2];
t2 = [5 5.5 6];
r  = 0.5;
y1 = exp(r*t1) + 0.0*[0.5 -0.3 0.7]   %#ok<NOPTS>
y2 = exp(r*t2) + 0.0*[0.5 -0.3 0.7]   %#ok<NOPTS>
subplot(1,3,[1 2])
plot(t1,y1,'sb','MarkerSize',10,'MarkerFaceColor','b')
hold on
plot(t2,y2,'sr','MarkerSize',10,'MarkerFaceColor','r')
plot(0:0.1:6, exp(r*(0:0.1:6)), 'k', 'LineWidth', 2)
xlabel('Time after DO','FontSize',12)
subplot(1,3,3)
plot(t1-1,y1,'sb','MarkerSize',10,'MarkerFaceColor','b')
hold on
plot(t2-5,y2,'sr','MarkerSize',10,'MarkerFaceColor','r')
axis([-0.3 1.3 0 25])
xlabel('Time after SE','FontSize',12)
legend('Subject 1', 'Subject 2')

print('-dtiff','-r900','synchro')