% Script to solution of Exercise 4.4 (generates Fig. B.8)

a = axes; set(a,'FontSize',15)
k = 2.5; V = 7; Dose = 60;
t = 0:(Dose/k); c = -k/V*t+Dose/V;
plot(t,c, 'k-o'); 
xlabel('Time [h]'); ylabel('Concentration [mg/L]')
title('One-Compartment Model with Zero-Order Elimination', ...
    'FontSize',15)
grid minor;
print('-r900', '-dtiff', 'zero_order_el');
